<?php
// définit la présentation des dates, valeurs numériques au format local (français)
setlocale(LC_ALL, '') ;
// --- saisie et affichage d'une chaine ---
echo "\n";
echo "Entrez un chaîne (ex : azerty) : ";
fscanf(STDIN, "%s", $chaine);        // le nom de la variable est accentué
echo "echo   : La valeur saisie avec fscanf() est : " . $chaine . "\n" ;
printf("printf : La valeur saisie est : |%-10s|   <== cadrage à gauche\n",$chaine) ;
echo "Entrez un chaîne (ex : azerty) : ";
$chaine=fgets(STDIN);
$chaine=trim($chaine); // on retire le caractère fin de ligne de chaine
echo "echo   : La valeur saisie avec fgets() est : " . $chaine . "\n" ;
fputs(STDOUT,"fputs  : La valeur saisie avec fgets() est : " . $chaine . "\n") ;
?>
